# cursor

Specifies which cursor to display when a user mouses over the element.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
5.0+ | 6.0+ | 1.0+ | 7.0+ | 1.3.2+

- Safari: Supports all W3C cursor values except for progress.

## Usage

[cursor-value | url(cursor-url)]. Example values: url(mycursor.cur), hand, etc.

## Values

Value | IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | --- | ---
* | 5.0+ | 6.0+ | 1.0+ | 7.0+ | no
inherit
auto
crosshair
default
hand | 5.0+ | no | no | 9.0+ | no
move
e-resize
ne-resize
nw-resize
n-resize
pointer
progress | 5.0+ | 6.0+ | 1.0+ | 7.0+ | no
se-resize
sw-resize
s-resize
w-resize
text
wait
help

## Example

For a demonstration of the curosor attribute, see the demo page on quirksmode:

http://www.quirksmode.org/css/cursor.html

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs